### Method

# AppStreamCompose Compose set_media_baseurl

#### Declaration [src]

    void
    asc_compose_set_media_baseurl (
      AscCompose* compose,
      const gchar* url
    )

#### Description [src]

Set the media base URL for the generated metadata. Can be `NULL` if no media should be cached and the original URLs should be kept.

#### Parameters

`url`

  Type: `const gchar*`

  The media base URL.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.